import { expect, type Locator, type Page } from '@playwright/test';
import { BasePage } from './BasePage';

export class TpaSearchPage extends BasePage {
    readonly page: Page;
    readonly firstLocationButton: Locator;
    readonly doNotSeeMyShopButton: Locator;
    issPageValue = 'tpa-search';

    constructor(page: Page) {
        super(page);
        this.page = page;
        // this.firstLocationButton = page.locator("fieldset[aria-labelledby='chooseShop']/span").first();
        this.firstLocationButton = page.locator("#buttonLabelSpan").first();
        
        this.doNotSeeMyShopButton = page.getByRole('link', { name: 'I don\'t see my shop' });
    }

    async selectDoNotSeeMyShop() {
        await this.doNotSeeMyShopButton.click()
    }

    async selectFirstLocation() {
        await this.firstLocationButton.click();
    }
}